### File

`packages/components/directives/eui-smooth-scroll.directive.ts`

### Implements

`OnInit`

### Metadata

Selector | `[euiSmoothScroll]`

### Index

###### Methods
onClick
###### Inputs
callbackAfter callbackBefore containerId duration easing middleAlign offset scrollIf scrollOnClick
###### HostListeners
click

### Inputs

callbackAfter
Type : `any`

callbackBefore
Type : `any`

containerId
Type : `string`

duration
Type : `number`

easing
Type : `string`

middleAlign
Type : `any`

offset
Type : `number`

scrollIf
Type : `boolean`

scrollOnClick
Type : `boolean`

### HostListeners

click
Arguments : `'$event.target'`

### Methods

onClick
`onClick(target)`
Decorators : `@HostListener('click', ['$event.target'])`
Parameters :
Name | Optional
target | No
Returns : `void`

# results matching ""

# No results matching ""